This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1028416 - In pixman_region32_init_rect: Invalid rectangle passed
In pixman_region32_init_rect: Invalid rectangle passed
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
19
All Linux
unspecified Severity high
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 06:50 EST by Priscila
Modified: 2015-02-17 14:08 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:08:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Priscila 2013-11-08 06:50:09 EST
Description of problem: If you open the sound control settings in GNOME3 F19 (latest version) while listen something (not using headphones) the music continues to play but no sound is heard.

Looking the var/log/messages you will find:

gnome-session[1589]: *** BUG ***
gnome-session[1589]: In pixman_region32_init_rect: Invalid rectangle passed
gnome-session[1589]: Set a breakpoint on '_pixman_log_error' to debug


Version-Release number of selected component (if applicable):
gnome-desktop3-3.8.4-1.fc19.x86_64
gnome-settings-daemon-3.8.5-1.fc19.x86_64
control-center-3.8.5-1.fc19.x86_64
pulseaudio-3.0-10.fc19.x86_64
pulseaudio-libs-3.0-10.fc19.x86_64
alsa-plugins-pulseaudio-1.0.27-1.fc19.x86_64

How reproducible: Always


Steps to Reproduce:
1. Play something (in my case I used www.deezer.com) that uses ALSA
2. Click on sound icon
3. In around 5 seconds you won't listen anything else and the music will still be playing
4. If you plug a headphone you will hear the sound again
5. If you unplug the headphone won't hear anything again, but the music is still playing

Actual results: No sound is heard


Expected results: Sound continue to work


Additional info: There are bugzillas that try to treat this but they are specific for bluetooth and USB. In fact, this is a GNOME bug that is several issues.

Related BZs:
https://bugzilla.redhat.com/show_bug.cgi?id=987618
https://bugzilla.redhat.com/show_bug.cgi?id=1026509
https://bugs.launchpad.net/ubuntu-gnome/+bug/1220684
https://bugs.freedesktop.org/show_bug.cgi?id=71177
Comment 1 Priscila 2013-11-12 05:49:58 EST
Note that if you plug a headphone or something that uses the headphone plug the sound works. If you unplug it stops again.
Comment 2 Philip Walden 2014-03-28 12:16:38 EDT
same problem here.

The system is an intel i3 32 bit with native intel graphics. The HDMI sound does not work, but the digital (coax) does.

(gnome-control-center:4073): Gvc-DEBUG: 10 profiles supported on port Front Microphone
(gnome-control-center:4073): Gvc-DEBUG: 10 profiles supported on port Rear Microphone
(gnome-control-center:4073): Gvc-DEBUG: 10 profiles supported on port Line In
(gnome-control-center:4073): Gvc-DEBUG: 12 profiles supported on port Analog Output
(gnome-control-center:4073): Gvc-DEBUG: 2 profiles supported on port Headphones
(gnome-control-center:4073): Gvc-DEBUG: 2 profiles supported on port Digital Output (S/PDIF)
(gnome-control-center:4073): Gvc-DEBUG: 4 profiles supported on port HDMI / DisplayPort
(gnome-control-center:4073): Gvc-DEBUG: gvc-mixer-output-set-property - card: 0x984bb20
Comment 3 Fedora End Of Life 2015-01-09 15:31:37 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 14:08:50 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.